### Constructor

# Foundry DeployStrategy new

#### Declaration [src]

    DexFuture*
    foundry_deploy_strategy_new (
      FoundryBuildPipeline* pipeline
    )

#### Description

No description available.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryDeployStrategy` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.